/*
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package uk.co.beacon.customerservice.client.api;

import uk.co.beacon.customerservice.client.common.ApiException;
import uk.co.beacon.customerservice.client.model.EntityModelVehicle;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for VehicleSearchControllerApi
 */
@Disabled
public class VehicleSearchControllerApiTest {

    private final VehicleSearchControllerApi api = new VehicleSearchControllerApi();

    /**
     * @throws ApiException if the Api call fails
     */
    @Test
    public void executeSearchVehicleGetTest() throws ApiException {
        String imoNumber = null;
        EntityModelVehicle response = api.executeSearchVehicleGet(imoNumber);
        // TODO: test validations
    }

}
